Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.util
Class MouseVisualizer

    java.lang.Object
      |
      +--org.netbeans.jemmy.util.DefaultVisualizer
            |
            +--org.netbeans.jemmy.util.MouseVisualizer

All Implemented Interfaces:
  java.lang.Cloneable, Operator.ComponentVisualizer

public class MouseVisualizer
extends DefaultVisualizer

Does `super.activate(org.netbeans.jemmy.operators.WindowOperator)`. Then, if java version is appropriate (1.3 or later) activates windows by robot mouse click on border.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Operator.setVisualizer(Operator.ComponentVisualizer)`, `
  Timeouts used:
  MouseVisualiser.BeforeClickTimeout - time to let a window manager to move a window as it wants
  `

Field Summary
`static int` | `BOTTOM` A constant used to inform that window activating click needs to performed on the botton side of frame.
`static int` | `LEFT` A constant used to inform that window activating click needs to performed on the left side of frame.
`static int` | `RIGHT` A constant used to inform that window activating click needs to performed on the right side of frame.
`static int` | `TOP` A constant used to inform that window activating click needs to performed on the top side of frame.

Constructor Summary
`MouseVisualizer()` Creates a visualizer which clicks on (0, 0) window coords.
`MouseVisualizer(int place, double pointLocation, int depth, boolean checkMouse)` Creates a visualizer which clicks on window boder.

Method Summary
`protected boolean` | `isWindowActive(WindowOperator winOper)` Returns true if window is active.
`protected void` | `makeWindowActive(WindowOperator winOper)` Performs an atomic window-activization precedure.

Methods inherited from class org.netbeans.jemmy.util.DefaultVisualizer
`activate, activateInternalFrame, activateWindow, checkForModal, cloneThis, initInternalFrame, makeVisible, scroll, scroll, switchTab, switchTab`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static int TOP

  A constant used to inform that window activating click needs to performed on the top side of frame.
  See Also:
    `MouseVisualizer()`

### BOTTOM

    public static int BOTTOM

  A constant used to inform that window activating click needs to performed on the botton side of frame.
  See Also:
    `MouseVisualizer()`

### LEFT

    public static int LEFT

  A constant used to inform that window activating click needs to performed on the left side of frame.
  See Also:
    `MouseVisualizer()`

### RIGHT

    public static int RIGHT

  A constant used to inform that window activating click needs to performed on the right side of frame.
  See Also:
    `MouseVisualizer()`

Constructor Detail

### MouseVisualizer

    public MouseVisualizer()

  Creates a visualizer which clicks on (0, 0) window coords.

### MouseVisualizer

    public MouseVisualizer(int place,
                           double pointLocation,
                           int depth,
                           boolean checkMouse)

  Creates a visualizer which clicks on window boder. In case if `place == BOTTOM`, for example clicks on (width * pointLocation, height - depth) coordinates.
  Parameters:
    `place` - One of the predefined value: TOP, BOTTOM, LEFT, RIGHT
    `pointLocation` - Proportial coordinates to click.
    `depth` - Distance from the border.
    `checkMouse` - Check if there is any java component under mouse

Method Detail

### isWindowActive

    protected boolean isWindowActive(WindowOperator winOper)

  Description copied from class: `DefaultVisualizer`
  Returns true if window is active.
  Overrides:
    `isWindowActive` in class `DefaultVisualizer`
  Following copied from class: `org.netbeans.jemmy.util.DefaultVisualizer`
  Parameters:
    `winOper` - an operator representing the window.
  Returns:
    true is window is active.

### makeWindowActive

    protected void makeWindowActive(WindowOperator winOper)

  Description copied from class: `DefaultVisualizer`
  Performs an atomic window-activization precedure. A window is sopposed to be prepared for the activization (i.e. put "to front").
  Overrides:
    `makeWindowActive` in class `DefaultVisualizer`
  Following copied from class: `org.netbeans.jemmy.util.DefaultVisualizer`
  Parameters:
    `winOper` - an operator representing the window.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD